## com.lowagie.text.pdf
Class GrayColor

    java.lang.Object
      java.awt.Color
          com.lowagie.text.pdf.ExtendedColor
              com.lowagie.text.pdf.GrayColor

All Implemented Interfaces:
  java.awt.Paint, java.awt.Transparency, java.io.Serializable

    public class GrayColor

extends ExtendedColor

Author:
  Paulo Soares (psoares@consiste.pt)
See Also:
  Serialized Form

Field Summary
`private float` `gray`
`static GrayColor` `GRAYBLACK`
`static GrayColor` `GRAYWHITE`
`private static long` `serialVersionUID`

Fields inherited from class com.lowagie.text.pdf.ExtendedColor
`type, TYPE_CMYK, TYPE_GRAY, TYPE_PATTERN, TYPE_RGB, TYPE_SEPARATION, TYPE_SHADING`

Fields inherited from class java.awt.Color
`black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

Fields inherited from interface java.awt.Transparency
`BITMASK, OPAQUE, TRANSLUCENT`

Constructor Summary
`GrayColor(float floatGray)`
`GrayColor(int intGray)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`float` `getGray()`
`int` `hashCode()`

Methods inherited from class com.lowagie.text.pdf.ExtendedColor
`getType, getType, normalize`

Methods inherited from class java.awt.Color
`brighter, createContext, darker, decode, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, HSBtoRGB, RGBtoHSB, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### gray

    private float gray

### GRAYBLACK

    public static final GrayColor GRAYBLACK

### GRAYWHITE

    public static final GrayColor GRAYWHITE

Constructor Detail

### GrayColor

    public GrayColor(int intGray)

### GrayColor

    public GrayColor(float floatGray)

Method Detail

### getGray

    public float getGray()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.awt.Color`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.awt.Color`

Hosted by Hostbasket